#!C:\Python25\python.exe
# -*- coding: UTF-8 -*-

'''
$RCSfile: main.py,v $
$Revision: 971 $
$Author: markus $
$Date: 2010-07-08 13:42:38 +0200 (Do, 08. Jul 2010) $
The BioCASE querytool
'''

import os, sys

execfile( os.path.abspath( os.path.join( os.path.dirname( __file__ ), os.pardir, os.pardir, 'lib', 'biocase', 'adjustpath.py' ) ))
execfile( os.path.abspath( os.path.join( os.path.dirname( __file__ ), os.pardir, os.pardir, 'lib', 'biocase', 'appinit.py' ) ))

from biocase.configtool.general import *
from biocase.datasources import getDsaList


############################################################################################################
#
#   MAIN
#
#===========================================================================================================


# use the main.html template to select a datasource first
tmpl = PageMacro('Content', PageMacro.DELMODE)
tmpl.load('Content', os.path.join(templateDir, '_main.html'))
# get list of available dsa's
DsaList = getDsaList()
log.debug("DSA list from datasource directory: %s" %str(DsaList))

# fill template 
DsaTmplList = [{'dsa':dsa.name} for dsa in DsaList]
tmpl.expand('Content', 'datasourcelist', DsaTmplList)
    

#
# print HTML !
#
printOverHTTP( tmpl )


